gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A vertical slider widget for selecting a value from a range.

The VScale widget allows the user to select a value with a vertical slider.

This widget and its model is manipulated using methods and properties in its super classes, and .

Gtk.Scale Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of VScale, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new vertical slider based on the data in .
  The model to use for this VScale
  A new VScale

  To create a vertical slider without explicit use of a , use the alternative constructor.

- Constructor
  Creates a new vertical slider without the need for an object.
  The minimum value that is accepted by this VScale.
  The maximum value that is accepted by this VScale.
  The value to adjust the VScale by when 'sliding'.
  A new VScale.

  Creates a new vertical slider that lets the user input a number between (and including) and . Each adjustment of the slider changes the value by , which must be non-zero.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.